> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all inspections reports

> Retrieve all inspection reports of the specified vehicle



## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/inspection
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/inspection:
    get:
      tags:
        - Inspection
      summary: Retrieve all inspections reports
      description: Retrieve all inspection reports of the specified vehicle
      operationId: getInspectionReports
      parameters:
        - in: path
          name: assetProviderCountryCode
          schema:
            type: string
            minLength: 2
            maxLength: 2
          required: true
          example: AT
          description: >-
            The two-letter country code of the asset provider the vehicles
            belong to
        - in: path
          name: assetProviderCode
          schema:
            type: string
            minLength: 3
            maxLength: 3
          required: true
          example: ABC
          description: >-
            The three-character code of the asset provider the vehicles belong
            to
        - in: path
          name: vehicleId
          schema:
            type: string
          required: true
          example: AT*ABC*V100006
          description: The id of the vehicle
      responses:
        '200':
          description: Inspection reports
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/InspectionReportResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Vehicle could not be found
      security:
        - oauth:
            - openid
components:
  schemas:
    InspectionReportResponse:
      allOf:
        - $ref: '#/components/schemas/InspectionReportRequest'
      required:
        - id
        - status
        - ocrStatus
        - estimationStatus
      properties:
        id:
          type: integer
          format: int64
        status:
          type: string
          enum:
            - PLANNED
            - EXECUTED
        ocrStatus:
          $ref: '#/components/schemas/OcrStatus'
        estimationStatus:
          $ref: '#/components/schemas/EstimationStatus'
        plannedFrom:
          type: string
          format: date
        plannedTo:
          type: string
          format: date
        blobs:
          type: array
          items:
            $ref: '#/components/schemas/Blob'
    InspectionReportRequest:
      type: object
      properties:
        inspectionFacility:
          type: string
          example: ÖAMTC Wien Landstraße
        inspectionDate:
          type: string
          format: date
          example: '2023-04-08'
        nextInspection:
          type: string
          format: date
          example: '2025-04-01'
        reportNumber:
          type: string
          example: 12345678XX
        mileage:
          type: integer
          example: 14345
          description: In kilometers
        testMass:
          type: number
          format: float
          example: 1415
        maxLadenMass:
          type: number
          format: float
          example: 1865
        city:
          type: string
        notes:
          type: string
        brakeFluidBoilingPoint:
          type: integer
          example: 200
        emissionPassed:
          type: boolean
        brakePerformance:
          $ref: '#/components/schemas/BrakePerformance'
        axlePerformance:
          type: object
          properties:
            frontAxle:
              $ref: '#/components/schemas/AxleBrakeMeasurement'
            rearAxle:
              $ref: '#/components/schemas/AxleBrakeMeasurement'
        defects:
          type: array
          items:
            $ref: '#/components/schemas/Defect'
    OcrStatus:
      type: string
      enum:
        - NOT_STARTED
        - MANUAL
        - PROCESSING
        - PROCESSED
        - ERROR
    EstimationStatus:
      type: string
      enum:
        - NOT_STARTED
        - PROCESSING
        - PROCESSED
        - ERROR
    Blob:
      type: object
      required:
        - uuid
        - filename
        - uploaded
      properties:
        uuid:
          type: string
          format: uuid
        filename:
          type: string
        uploaded:
          type: boolean
          description: Indicates if the BLOB has been uploaded to the storage
          default: false
    BrakePerformance:
      type: object
      properties:
        serviceBrakeSystem:
          type: number
          format: float
        secondaryBrakeSystem:
          type: number
          format: float
        parkingBrake:
          type: number
          format: float
    AxleBrakeMeasurement:
      type: object
      properties:
        serviceBrakeLeft:
          type: number
          format: float
        serviceBrakeRight:
          type: number
          format: float
        parkingBrakeLeft:
          type: number
          format: float
        parkingBrakeRight:
          type: number
          format: float
    Defect:
      type: object
      properties:
        title:
          type: string
        severity:
          type: string
          enum:
            - MINOR
            - MAJOR
            - DANGEROUS
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````